Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class TieAccessControlListProxyService

    java.lang.Object
      oracle.ifs.server.AccessControlListProxyService
          oracle.ifs.server.TieAccessControlListProxyService

All Implemented Interfaces:
  SubService

    public class TieAccessControlListProxyService

extends AccessControlListProxyService

TieAccessControlListProxyService allows the Oracle-defined behavior of the AccessControlListProxyService class to be extended or overridden.

See Also:
  `AccessControlListProxyService`
(Published)

Field Summary

Fields inherited from class oracle.ifs.server.AccessControlListProxyService
`ACLPROXY_TABLENAME, m_AclIndexService, m_Service`

Constructor Summary
`protected` | `TieAccessControlListProxyService(S_LibraryService service, AccessControlListIndexService aclIndexServ)` Constructs a TieAccessControlListProxyService.

Method Summary

Methods inherited from class oracle.ifs.server.AccessControlListProxyService
`deleteAllSecuredPublicObject, deleteSecuredPublicObject, dispose, getSecuredPublicObjects, getSecuredPublicObjectsLite, insertSecuredPublicObject, updateSecurityForPublicObjectsSecuredByUs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TieAccessControlListProxyService

    protected TieAccessControlListProxyService(S_LibraryService service,
                                               AccessControlListIndexService aclIndexServ)
                                        throws IfsException

  Constructs a TieAccessControlListProxyService.

  Parameters:
    `service` - the S_LibraryService that owns this instance
    `aclIndexServ` - the AccessControlListIndexService that controls this instance
  Throws:
    `IfsException` - if the operation fails
  (Published)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD